<template>
<v-col cols='3' style="min-width:256px" class='pa-1'>
    <v-card color="info" dark min-width="256" class="fill-height">
        <v-card-title>
        Nav computer
        </v-card-title>
        <v-card-text>
        Location
        <v-row>
            <v-col :align-self="'center'" class="text-left">
                X {{ navigation.x.toFixed(3) || 0 }}
            </v-col>
            <v-col>
                Y {{ navigation.y.toFixed(3) || 0 }}
            </v-col>
        </v-row>
        Course
        <v-row>
            <v-col :align-self="'center'" class="text-left">
            {{ navigation.course }} ({{ navigation.courseV }})
            </v-col>
        </v-row>
        Velocity
        <v-row>
            <v-col :align-self="'center'" class="text-left">
            X {{ navigation.v.x.toFixed(3) || 0 }}
            </v-col>
            <v-col>
            Y {{ navigation.v.y.toFixed(3) || 0 }}
            </v-col>
        </v-row>
        </v-card-text>
    </v-card>
</v-col>
</template>

<script>
export default {
    name: 'navigation-card',
    computed: {
        navigation () {
            return this.$store.getters.navigation
        }
    }
}
</script>

<style>

</style>